# MS-Connector v1.3.1 Release vom 05.07.2022

Der MS-Connector implementiert eine Bridge zwischen dem österreichischen E-ID System und dem eIDAS Framework um ausländischen Benutzern eine Anmeldung am österreichischen Service-Providern zu ermöglichen.

### Änderungen in dieser Version

  - Optimierung und Fehlerkorrektur bei UX basierten Matching-Schritten
  - Konfigurierbare Maximalanzahl von Ergebnissen bei Adresssuche
  - Statistiklogger um Matching-Informationen erweitert
  - Bugfix
      - Sortierung bei Adresssuchergebnissen optimiert


### Durchführen eines Updates 

Nachfolgend finden Sie die erforderlichen Schritte für das Update eines bestehenden MS-specific eIDAS Connectors auf die aktuelle Version 1.3.1. Das vollständige Handbuch mit allen Konfigurationsparametern finden Sie im Releasepackage im Verzeichnis: _infos/handbook/_

### Ausgehend von einer bestehenden Version 1.3.0 

1. Stoppen Sie die *MS-Connector* Applikation und fertigen Sie eine Sicherungskopie Ihrer Applikation inklusive Konfiguration an

2. Entpacken Sie das Releasepacket *ms_specific_connector-1.3.1-dist.zip* in ein temporäres Verzeichnis welches in weiterer Folge __MsConnectorPackage__ bezeichnet wird.

3. Kopieren sie die Applikation __MsConnectorPackage__/ms_connector.war nach in das Applikationsverzeichnis ihres Applikationsservers

4. Update bestehender Dateien . Die nachfolgenden Dateien wurden geändert und erfordern eine Anpassung oder eine Übernahme dem Releasepacket, sofern die Anpassung nicht bereits durchgeführt wurde

   * Vollständige Übernahme: __MsConnectorPackage__/config/templates/other_login_method.html
   * Vollständige Übernahme: __MsConnectorPackage__/config/templates/residency.html
   * Vollständige Übernahme: __MsConnectorPackage__/config/properties/messages.properties
   * Vollständige Übernahme: __MsConnectorPackage__/config/properties/messages_de.properties
   
6. Neue optionale Konfigurationsparameter

   - *Matching allgemein*
     
     - ```eidas.ms.auth.eIDAS.matching.byaddress.enable```
     - ```eidas.ms.auth.eIDAS.matching.byaddress.maxresults```
   
6. Aktualisierung Statistiklogger

   Der CSV Eintrag des Statistikloggers wurde um ein Element erweitert, welches den für den Anmeldeprozess erfolgreichen Matchingschritt ausweist. 

   z.B.: 

   ```2022.07.01-16:51:58+CEST,65ed49c5-a494-4bfd-a860-ae7988dbf010,https://eid.egiz.gv.at/authHandler/restricted/eidas/metadata,https://eid.egiz.gv.at/openID_demo/,urn:publicid:gv.at:cdid+GH,EE,BY_PERSONALID,success,,```

   

   Folgende Matching-Status werden durch den Statistik-Logger gesetzt:

   - BY_PERSONALID                 --> Matching über eIDAS PersonalIdentifier
   +    BY_COUNTRY_SPECIFIC     --> Matching über länderspezifische Eigenschaften (z.B. für DE)
   +    BY_ID_AUSTRIA                   --> Matching via ID Austria Login
   +    BY_EIDAS                             --> Matching via alternativer eIDAS Anmeldung
   +    BY_ADDRESS                      --> Matching über Adresssuche
   +    BY_NEW_ERNP_ENTRY     --> falls die Person neu angelegt wurde
   +    CANCELED_BY_USER        --> Anmeldeprozess wurde durch den Benutzer bei GUI basierten Matching-Prozess abgebrochen
   +    NO_REQUIRED                  --> Falls für den aktuellen Anmeldeprozess kein / noch kein Matching erforderlich war (z.B. Fehler am eIDAS Node vor Matching)

   

   

   

   


